## golang-1.15 1.15~beta1

=== debian/changelog ===
golang-1.15 (1.15~beta1-1) unstable; urgency=medium

  * New upstream major version.
    - Drop patch to fix FTBFS on $HOME managed with git, has been
      applied upstream.
    - Refresh remaining patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Jun 2020 21:40:49 +0200

golang-1.14 (1.14.4-1) unstable; urgency=medium

  * New upstream version 1.14.4
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 15 Jun 2020 21:19:41 +0200

golang-1.14 (1.14.3-2) unstable; urgency=medium

  * Increase the test timeout that made some builds succeed
    there on slow hardware (such as emulated riscv64).
    Thanks to Gianfranco Costamagna (Closes: #960759)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 16 May 2020 14:32:28 +0200

golang-1.14 (1.14.3-1) unstable; urgency=medium

  * New upstream version 1.14.3
  * Use debhelper v13

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 15 May 2020 15:24:43 +0200

golang-1.14 (1.14.2-1) unstable; urgency=medium

  * New upstream version 1.14.2

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 10 Apr 2020 14:34:21 +0200

golang-1.14 (1.14.1-1) unstable; urgency=medium

  * New upstream version 1.14.1
    - Add new patch to fix FTBFS on $HOME managed with git.
      Thanks to Guillem Jover <gjover@sipwise.com> (Closes: #953276)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 21 Mar 2020 14:01:31 +0100

golang-1.14 (1.14-2) unstable; urgency=medium

  * Fix FTBFS if built twice in a row.
    Some paths of autogenerated files have been changed upstream,
    so that the removal of those files after the build did no
    longer succeed.
    Thanks to Guillem Jover (Closes: #953277)
  * Update Standards-Version to 4.5.0, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 09 Mar 2020 14:00:39 +0100

golang-1.14 (1.14-1) unstable; urgency=medium

  * New upstream version 1.14

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 25 Feb 2020 21:33:50 +0100

golang-1.14 (1.14~rc1-1) unstable; urgency=medium

  * New upstream version 1.14~rc1
    - Fixes CVE-2020-7919
  * Add Breaks: dh-golang (<< 1.43~) to golang-go.
    Thanks to Pirate Praveen <praveen@onenetbeyond.org>
  * Update upstream's signing key
  * Add support for riscv64.
    Thanks to Aurelien Jarno <aurel32@debian.org> (Closes: #950517)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 05 Feb 2020 23:54:28 +0100

golang-1.14 (1.14~beta1-2) unstable; urgency=medium

  * Source-only upload.
  * Add two more lintian overrides for testdata

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Dec 2019 20:11:44 +0100

golang-1.14 (1.14~beta1-1) unstable; urgency=medium

  * New upstream major version.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 25 Dec 2019 21:27:46 +0100

golang-1.13 (1.13.5-1) unstable; urgency=medium

  * New upstream version 1.13.5

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 05 Dec 2019 12:27:21 +0100

golang-1.13 (1.13.4-1) unstable; urgency=medium

  * New upstream version 1.13.4
    - Refresh patches

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 01 Nov 2019 21:07:16 +0100

golang-1.13 (1.13.3-1) unstable; urgency=medium

  * New upstream version 1.13.3
    - Refresh patch
    - crypto/dsa: invalid public key causes panic in dsa.Verify.
      Fixes CVE-2019-17596. Closes: #942628
  * Update Standards-Version to 4.4.1, no changes needed

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 19 Oct 2019 13:30:36 +0200

golang-1.13 (1.13.1-1) unstable; urgency=medium

  * New upstream version 1.13.1
    - net/textproto: don't normalize headers with spaces before the colon.
      Fixes CVE-2019-16276. See https://github.com/golang/go/issues/34541
      and Debian bug #941173

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 26 Sep 2019 11:32:14 +0200

golang-1.13 (1.13-1) unstable; urgency=medium

  * New upstream version 1.13
    - Refresh patch
  * Set pristine-tar for gbp to False

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 04 Sep 2019 11:28:07 +0200

golang-1.13 (1.13~rc2-1) unstable; urgency=medium

  * New upstream version 1.13~rc2
    - Remove patch for CVE-2019-9512 and CVE-2019-9514,
      has been applied upstream

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 30 Aug 2019 13:29:21 +0200

golang-1.13 (1.13~rc1-2) unstable; urgency=medium

  * Exclude testdata from dh_makeshlibs.
    Otherwise, the build fails at least on armel and armhf.
  * Apply changes from cme fix dpkg
  * Set Rules-Requires-Root: no

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Aug 2019 15:21:10 +0200

golang-1.13 (1.13~rc1-1) unstable; urgency=medium

  * New upstream version 1.13~rc1
    - Remove patch for CVE-2019-14809, has been applied upstream
  * Use dh_missing instead of deprecated dh_install --fail-missing
  * Do not run dh_dwz, there is no debugging information
  * Use debhelper-compat (= 12)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Aug 2019 12:48:15 +0200

golang-1.13 (1.13~beta1-3) unstable; urgency=high

  * Fix Denial of Service vulnerabilities in the HTTP/2 implementation.
    https://github.com/golang/go/issues/33631
    CVE-2019-9512, CVE-2019-9514. Closes: #934955
  * Fix multiple Parsing Issues in URL.Parse
    https://github.com/golang/go/issues/29098
    CVE-2019-14809. Closes: #934954

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 17 Aug 2019 23:47:53 +0200

golang-1.13 (1.13~beta1-2) unstable; urgency=medium

  * Set GOCACHE to fix a FTBFS. (See bug #933958)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Fri, 09 Aug 2019 16:40:13 +0200

golang-1.13 (1.13~beta1-1) unstable; urgency=medium

  * New upstream major version.
    - Remove Reproducible-BUILD_PATH_PREFIX_MAP.patch.
      This patch is finally no longer needed with Go 1.13.
      Upstream has implemented a new flag "-trimpath" for the
      command "go build" which either strips the path or
      replaces it in the resulting binaries.
      References:
      https://github.com/golang/go/issues/16860

