## golang-1.15 1.15

=== debian/changelog ===
golang-1.15 (1.15-2) unstable; urgency=medium

  * Team upload.
  * Backport fix for arm64 cgo test
    https://go-review.googlesource.com/c/go/+/237858

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Aug 2020 13:44:43 +0800

golang-1.15 (1.15-1) unstable; urgency=medium

  * New upstream version 1.15

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 25 Aug 2020 19:59:24 +0200

golang-1.15 (1.15~rc2-1) unstable; urgency=medium

  * New upstream version 1.15~rc2
    - encoding/binary: ReadUvarint and ReadVarint can read an unlimited
      number of bytes from invalid inputs. CVE-2020-16845

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sun, 09 Aug 2020 16:12:45 +0200

golang-1.15 (1.15~rc1-1) unstable; urgency=medium

  [ Shengjing Zhu ]
  * Backport patches to fix the FPU ABI problems for mips32
    https://go-review.googlesource.com/c/go/+/237058/

  [ Dr. Tobias Quathamer ]
  * New upstream version 1.15~rc1
    - Refresh patches
    - net/http: Expect 100-continue panics in httputil.ReverseProxy.
      See https://github.com/golang/go/issues/34902, fixes CVE-2020-15586

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 03 Aug 2020 21:22:44 +0200

golang-1.15 (1.15~beta1-2) unstable; urgency=medium

  * Source-only upload.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Wed, 17 Jun 2020 17:17:08 +0200
