## golang-1.15 1.15.2

=== debian/changelog ===
golang-1.15 (1.15.2-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - cmd/dist: increase default timeout scale for arm (LP: #1893640)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 15 Sep 2020 10:46:23 +0100

golang-1.15 (1.15.2-1) unstable; urgency=medium

  * New upstream version 1.15.2.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 15 Sep 2020 09:51:42 +1200

golang-1.15 (1.15-2ubuntu1) groovy; urgency=medium

  * cmd/dist: increase default timeout scale for arm (LP: #1893640)

 -- Balint Reczey <rbalint@ubuntu.com>  Mon, 31 Aug 2020 13:30:32 +0200
