## golang-1.15 1.15.5

=== debian/changelog ===
golang-1.15 (1.15.5-2+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from golang-1.10 1.10~rc2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 24 Feb 2018 12:22:04 +0000]
  * Build with GOARM=6
  * Disable testsuite.
  * Fix clean target.

  [changes introduced in golang-1.12 1.12.7-3+rpi1 by Peter Michael Green]
  * Further clean target fixing.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 01 Dec 2020 14:41:31 +0000

golang-1.15 (1.15.5-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix usability regression in go1.15.5
    cmd/go: allow flags in CGO_LDFLAGS environment variable not in security allowlist
    https://github.com/golang/go/issues/42567

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 18 Nov 2020 00:46:08 +0800

golang-1.15 (1.15.5-1) unstable; urgency=medium

  * New upstream version 1.15.5.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Fri, 13 Nov 2020 09:40:16 +1300

golang-1.15 (1.15.4-1) unstable; urgency=medium

  * New upstream version 1.15.4.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Tue, 10 Nov 2020 10:48:51 +1300
