## golang-1.15 1.15.6

=== debian/changelog ===
golang-1.15 (1.15.6-1.lnd.14) unstable; urgency=medium

  * fix unknown relocation type 2; compiled without -fpic?

 -- chenguoqi <chenguoqi@loongson.cn>  Wed, 30 Mar 2022 13:10:50 +0800

golang-1.15 (1.15.6-1.lnd.12) unstable; urgency=medium

  * code cleanup for MSA and arch 

 -- liuxiaodong <liuxiaodong@loongson.cn>  Wed, 18 Aug 2021 19:30:26 +0800

golang-1.15 (1.15.6-1.lnd.11) unstable; urgency=medium

  * rename loongarch64 to loong64 

 -- liuxiaodong <liuxiaodong@loongson.cn>  Mon, 12 Jul 2021 19:30:26 +0800

golang-1.15 (1.15.6-1.lnd.10) unstable; urgency=medium

  * uniform elf machine name
  * modify copyright for porting loongarch64

 -- liuxiaodong <liuxiaodong@loongson.cn>  Wed, 17 Jun 2021 19:56:26 +0800

golang-1.15 (1.15.6-1.lnd.9) unstable; urgency=medium

  * fix  RLIM_INFINITY const define error

 -- liuxiaodong <liuxiaodong@loongson.cn>  Wed, 14 Apr 2021 12:01:26 +0800

golang-1.15 (1.15.6-1.lnd.8) unstable; urgency=medium

  * fix hint info condition when branch is too far for 16 and 21 bit-width
  * Implementation and optimization of 64 bit immediate processing

 -- liuxiaodong <liuxiaodong@loongson.cn>  Mon, 12 Apr 2021 09:31:06 +0800

golang-1.15 (1.15.6-1.lnd.7) unstable; urgency=medium

  * Update the sigcontext structure

 -- luweining <luweining@loongson.cn>  Wed Apr 7 14:42:54 2021 +0800

golang-1.15 (1.15.6-1.lnd.6) unstable; urgency=medium

  * larch to loongarch.
  * fix some notes and const name

 -- luweining <luweining@loongson.cn>  Fri, 19 Mar 2021 17:00:17 +0800

golang-1.15 (1.15.6-1.lnd.5) unstable; urgency=medium

  * goarch: larch64 => loongarch64

 -- liuxiaodong <liuxiaodong@loongson.cn>  Tue, 09 Mar 2021 15:03:38 +0800

golang-1.15 (1.15.6-1.lnd.3) unstable; urgency=medium

  * mips64le & loongson

 -- zhaixiaojuan <zhaixiaojuan@loongson.cn>  Wed, 24 Feb 2021 11:52:09 +0800

golang-1.15 (1.15.6-1.lnd.2) unstable; urgency=medium

  * reduce dh-golang version to avoid uninstalling dh-golang:1.39
  * l-fix-bad-pointer-issue-loongarch.patch

 -- zhaixiaojuan <zhaixiaojuan@loongson.cn>  Mon, 01 Feb 2021 09:47:38 +0800

golang-1.15 (1.15.6-1.lnd.1) unstable; urgency=medium

  * loongarch first version 1.15.6

 -- zhaixiaojuan <zhaixiaojuan@loongson.cn>  Fri, 29 Jan 2021 14:59:20 +0800

golang-1.15 (1.15.6-1) unstable; urgency=medium

  * Team upload.

  [ Balint Reczey ]
  * cmd/dist: increase default timeout scale for arm (LP: #1893640)

  [ Shengjing Zhu ]
  * New upstream version 1.15.6
  * Drop CGO_LDFLAGS patch, fixed in go1.15.6

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 13 Dec 2020 18:27:59 +0800
