## golang-1.15 1.15.7

=== debian/changelog ===
golang-1.15 (1.15.7-1+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from golang-1.10 1.10~rc2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 24 Feb 2018 12:22:04 +0000]
  * Build with GOARM=6
  * Disable testsuite.
  * Fix clean target.

  [changes introduced in golang-1.12 1.12.7-3+rpi1 by Peter Michael Green]
  * Further clean target fixing.

 -- Raspbian forward porter <root@raspbian.org>  Fri, 05 Feb 2021 22:17:03 +0000

golang-1.15 (1.15.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.7
    + crypto/elliptic: incorrect operations on the P-224 curve
      CVE-2021-3114

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 23 Jan 2021 01:59:14 +0800
