## golang-1.15 1.15.8

=== debian/changelog ===
golang-1.15 (1.15.8-3+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from golang-1.10 1.10~rc2-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 24 Feb 2018 12:22:04 +0000]
  * Build with GOARM=6
  * Disable testsuite.
  * Fix clean target.

  [changes introduced in golang-1.12 1.12.7-3+rpi1 by Peter Michael Green]
  * Further clean target fixing.

 -- Raspbian forward porter <root@raspbian.org>  Wed, 17 Feb 2021 07:04:20 +0000

golang-1.15 (1.15.8-3) unstable; urgency=high

  * Re-upload with urgency=high due to impending freeze.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 10 Feb 2021 12:58:55 +1300

golang-1.15 (1.15.8-2) unstable; urgency=medium

  * d/patches/0007-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch:
    disable internal linking when dynamically linking and CGO_CFLAGS contains
    flags that might make host object files that the internal linkers ELF
    reader does not support. This fixes lots of package builds when LTO is
    enabled by default via dpkg-buildflags.

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 10 Feb 2021 09:53:36 +1300

golang-1.15 (1.15.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.8
  * Skip userns tests in schroot.
    When schroot is using overlayfs, it fails to detect it as chroot.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 05 Feb 2021 20:51:44 +0800
