## golang-1.15 1.15.9

=== debian/changelog ===
golang-1.15 (1.15.9-6) unstable; urgency=medium

  * Team upload.
  * Backport patche for CVE-2021-34558
    crypto/tls: clients can panic when provided a certificate of the wrong type
    for the negotiated parameters

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 13 Jul 2021 13:55:42 +0800

golang-1.15 (1.15.9-5) unstable; urgency=medium

  * Team upload.
  * Backport patches for CVE-2021-33195 CVE-2021-33197 CVE-2021-33198
    + CVE-2021-33195: net: Lookup functions may return invalid host names
    + CVE-2021-33197: net/http/httputil: ReverseProxy forwards Connection
      headers if first one is empty
    + CVE-2021-33198: math/big: (*Rat).SetString with "1.770p02041010010011001001"
      crashes with "makeslice: len out of range"

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Jun 2021 19:36:34 +0800

golang-1.15 (1.15.9-4) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2021-33196
    archive/zip: malformed archive may cause panic or memory exhaustion
    https://github.com/golang/go/issues/46396

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 02 Jun 2021 10:56:03 +0800

golang-1.15 (1.15.9-3) unstable; urgency=medium

  * Fix failed TestDependencyVersionsConsistent test.
    When dpkg-source unpack tarball, it produces .pc dir in source dir.
    The last patch 0007-CVE-2021-31525.patch causes
    go.mod/go.sum/modules.txt files in .pc dir with old content.
    Then TestDependencyVersionsConsistent picks these old content in .pc
    dir, results error:
    --- FAIL: TestDependencyVersionsConsistent (0.00s)
        moddeps_test.go:217: Modules within GOROOT require different versions of golang.org/x/net.
        moddeps_test.go:229: std	requires v0.0.0-20201008223702-a5fa9d4b7c91
        moddeps_test.go:229: std	requires v0.0.0-20210428183841-261fb518b1ed

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 08 May 2021 14:22:26 +0800

golang-1.15 (1.15.9-2) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2021-31525
    net/http: ReadRequest can stack overflow due to recursion with very
    large headers. https://github.com/golang/go/issues/45711

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 08 May 2021 02:45:35 +0800

golang-1.15 (1.15.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.9
    + encoding/xml: infinite loop when using `xml.NewTokenDecoder` with a
      custom `TokenReader`. CVE-2021-27918

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 11 Mar 2021 23:43:18 +0800

golang-1.15 (1.15.8-4) unstable; urgency=medium

  * Team upload.
  * Revert "0007-cmd-link-check-CGO_CFLAGS-for-non-g-I-O-options-befo.patch"
    This patch causes:
    1. unexpected error message, which makes some packages FTBFS
       loadinternal: cannot find runtime/cgo
       Closes: #982701, #982714, #982720, #982724, #982734
    2. unable to build package on riscv64
       external linking not supported for linux/riscv64

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 15 Feb 2021 23:19:39 +0800
