## golang-1.15 1.15.9.1

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 # This file is in the public domain.
 # You may freely use, modify, distribute, and relicense it.
 
+export DEB_BUILD_OPTIONS=nocheck
 export GOVER := $(shell perl -w -mDpkg::Version -e 'Dpkg::Version->new(`dpkg-parsechangelog -SVersion`)->version() =~ /^([0-9]+\.[0-9]+)/ && print("$$1\n")')
 
 export GOROOT := $(CURDIR)
