## golang-1.15 1.15.15

=== debian/changelog ===
golang-1.15 (1.15.15-5) unstable; urgency=medium

  * Team upload.
  * Backport patch for CVE-2021-38297
    When invoking functions from WASM modules, built using GOARCH=wasm GOOS=js,
    passing very large arguments can cause portions of the module to be
    overwritten with data from the arguments.
  * Backport patch for CVE-2021-41771
    debug/macho: invalid dynamic symbol table command can cause panic
  * Backport patch for CVE-2021-44716
    net/http: limit growth of header canonicalization cache
  * Backport patch for CVE-2021-44717
    syscall: don’t close fd 0 on ForkExec error

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 12 Dec 2021 01:52:21 +0800

golang-1.15 (1.15.15-4) unstable; urgency=high

  * Fix Build-Depends in control.in as well

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Sep 2021 18:15:41 +0800

golang-1.15 (1.15.15-3) unstable; urgency=high

  * Team upload.
  * Rebuild with Go1.15.
    Go1.16 can't build Go1.15 on i386 with GO386=387

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Sep 2021 17:23:38 +0800

golang-1.15 (1.15.15-2) unstable; urgency=high

  * Team upload.

  [ Anthony Fok ]
  * Fix Lintian warning tab-in-license-text
    debian/copyright (starting at line 381)

  [ Shengjing Zhu ]
  * Backport patch for CVE-2021-39293
    archive/zip: overflow in preallocation check can cause OOM panic

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Sep 2021 16:10:27 +0800

golang-1.15 (1.15.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 1.15.15
  * Remove security patches which were previously backported
    for 1.15.9 but are already in 1.15.15
  * Update Standards-Version to 4.5.1, no changes needed
  * Change Section from devel to golang

 -- Anthony Fok <foka@debian.org>  Sun, 15 Aug 2021 16:44:15 -0600
