=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
            Tianon Gravi <tianon@debian.org>,
            Michael Hudson-Doyle <mwhudson@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Section: devel
+Section: golang
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               golang-any (>= 2:1.4~) | golang-go (>= 2:1.4~) | gccgo (>= 4:5~),
+               golang-1.15-go,
                netbase
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/compiler/golang/tree/golang-1.15
 Vcs-Git: https://salsa.debian.org/go-team/compiler/golang.git -b golang-1.15
 Homepage: https://golang.org
