=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # This file is in the public domain.
 # You may freely use, modify, distribute, and relicense it.
 
-export DEB_BUILD_OPTIONS=nocheck
 export GOVER := $(shell perl -w -mDpkg::Version -e 'Dpkg::Version->new(`dpkg-parsechangelog -SVersion`)->version() =~ /^([0-9]+\.[0-9]+)/ && print("$$1\n")')
 
 export GOROOT := $(CURDIR)
@@ -126,7 +125,7 @@
 
 override_dh_auto_build-arch:
 	[ -f VERSION ] || echo "debian snapshot +$$(dpkg-parsechangelog -SVersion)" > VERSION
-	export GOROOT_BOOTSTRAP=$$(env -i go env GOROOT) \
+	export GOROOT_BOOTSTRAP=/usr/lib/go-1.15 \
 		&& cd src \
 		&& $(CURDIR)/debian/helpers/goenv.sh \
 			bash ./make.bash --no-banner
